import discord
from discord import app_commands
from .commands import DollyProjectTrackerCommands

class Dolly(discord.Client):

    def __init__(self):
        super().__init__(intents=discord.Intents.default())
        self.tree = app_commands.CommandTree(self)
        self.tree.add_command(DollyProjectTrackerCommands())
    
    async def setup_hook(self):
        await self.tree.sync()
    
    async def on_ready(self):
        print(f"Logged in as {self.user} (ID: {self.user.id})\n------")